<p align="center">
  <img width="40%" src="https://github.com/Mangeshrex/Bspdots/blob/main/IMG_20210721_155345_773.png" />
</p>

<p align="center">
  <b>🔥 Rex's Linux Dotfiles 🔥</b>
</p> 

<p align="center" 
<img src="https://img.shields.io/github/forks/Mangeshrex/dotfiles?color=bf5b98a9&labelColor=2F3131&style=for-the-badge"> <img src="https://img.shields.io/github/stars/Mangeshrex/dotfiles?color=e74c4c&br=2F3131&style=for-the-badge"> <img src="https://img.shields.io/github/issues/Mangeshrex/dotfiles?color=&labelColor=2F3131&style=for-the-badge">
</p> 
 
# Onedark Setup 

![onedark-rice](https://user-images.githubusercontent.com/82205152/122727874-2523df00-d295-11eb-8c8e-0baa94e92d68.png)

- Repo to my Vim-dotfiles : https://github.com/Mangeshrex/vim-dots. 
- The Dotfiles for this rice are stored in the onedark folder in this repository.
- The colorscheme used is onedark but the colors are edited.
- Colorscheme inspired from @siduck76 

# Nord Bspwm Screenshot 
![Nord](https://user-images.githubusercontent.com/82205152/119094670-f6fd7600-ba2e-11eb-934d-b494e6714c6e.png)

# uWu >.< 
![uWuu](https://github.com/Mangeshrex/bspdots/blob/main/assets/uwu-nvchad.png) 

# Bspwm-Dots 
This is a repo of my dotfiles contain's all the cli-tools or apps I use. 

# To be Noted 
- The Above Image has my latest setup of ArchLinux Bspwm. 
- Install All the Below Listed Polybar fonts. 
- Do not forget to configure your Workspace Names in polybar if you want the workspace name on the bar. 
  That can be changed in your bspwmrc `bspc monitor -d 1 2 3 4 5` at this line. 
- Here I used Kitty as my default terminal emulator. 
- Color scheme : Nord with some variations. 
- You need to edit some values like in the bar like wlan or monitor or some other things. 
- Also to note in the polybar menu module I have my name in Japanese you can change that to anything you want or maybe icon. 
- That fetch in the first picture is now improved and can be found [here](https://github.com/Mangeshrex/rxfetch)
- You can install my colorscheme from uwu.vim repo. 

# Dependencies 
- Material Design Icons 
- Nerd Fonts JetbrainsMono 
- packages : ```xprop, xrdb, wmctrl``` and all the other apps needed should be installed . 

# Installation 
- The user needs to git clone the repository anywhere in his `/home` directory. 
- After doing this he can simply swap the files from the cloned repository to his `~/.config` folder in user home directory. 
- For ex: If one wants to install the alacritty configurations he can simply do: 
-         cp -r ~/path/to/cloned_repo/alacritty.yml ~/.config/alacritty/alacritty.yml
- Also do install the programs already before installing the configuration files. 
- The configuration files for Gloom-Onedark rice are stored in the onedark folder and the configurations for Placidity-Nord rice are stored in Placidity-Bspwm folder. 
 
# Programs I use to show off in my rices xD 
- [cava](https://github.com/karlstav/cava) = Console Based Audio Visualizor for 
- [neofetch](https://github.com/dylanaraps/neofetch) = System Fetching tool. 
- [rxfetch](https://github.com/Mangeshrex/rxfetch) = Custom made system-info fetch tool. 
- [gtop](https://github.com/aksakalli/gtop) = System Monitoring Dashboard. 
- [shell-color-scripts](https://github.com/stark/Color-Scripts) = Some cool color scripts for adding bling to my terminal. 
- [kitty](https://sw.kovidgoyal.net/kitty/)= A terminal emulator. 
- [Polybar](https://github.com/polybar/polybar) = A fast and easy to use statusbar. 
- [vim](https://www.vim.org/) = A useful text editor that i mostly prefer.  
- [My Dmenu](https://github.com/Mangeshrex/Nordic-dmenu-dots) = My Build for dmenu. 
- [alacritty](https://github.com/alacritty/alacritty) = Alacritty Terminal Emulator 
- [Zathura](https://github.com/pwmt/zathura) =  A Document Viewer. 



